Bug 141415 - interactive grub hangs on probe
interactive grub hangs on probe
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-11-30 18:39 EST by Jack Spaar
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-16 21:13:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jack Spaar 2004-11-30 18:39:55 EST
Running grub interactively hangs with message "Probing devices to
guess BIOS drives. This may take a long time."

On a box upgraded from FC2->FC3, grub-0.95-3, kernel-2.6.9-1.681_FC3.

How reproducible:

Steps to Reproduce:
1. sudo /sbin/grub

Actual Results:  "Probing devices to guess BIOS drives. This may take
a long time."
hangs, unkillable.

Expected Results:  After less than 30s the grub prompt should be

Additional info:

Up until FC3 I've routinely used grub to specify a one-time-only
choice for the next reboot, as in this script:
Comment 1 Jeremy Katz 2004-11-30 19:01:51 EST
Do you have a floppy drive? 
Comment 2 Jack Spaar 2004-11-30 19:50:54 EST
Your question prompted me to try with a floppy inserted, which works
normally.  After that, it seems grub re-runs fine whether the floppy
is in or not, until the next reboot.
Comment 3 Dave Jones 2005-07-15 16:19:31 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 4 Jack Spaar 2005-07-16 21:13:41 EDT
No longer running FC3, problem has not recurred in FC4.

Note You need to log in before you can comment on or make changes to this bug.